<div class="container">
  <form [formGroup]="reactiveFormAuthor" (ngSubmit)="onSubmit()">
    <h1>
      Reactive Form Author
    </h1>
  <hr>
  <div class="row">
    <h4>Personal Information:</h4>
  </div>
  <div class="row p-2">
    <div class="col">
      <label>Firstname: </label>
    </div>
    <div class="col">
      <input type="text" formControlName="firstname" placeholder="firstname">
    </div>
  </div>

  <div class="row p-2">
    <div class="col">
      <label>Lastname: </label>
    </div>
    <div class="col">
      <input type="text" formControlName="lastname" placeholder="lastname">
    </div>
  </div>

  <div class="row p-2 check-group">
    <div class="col">
      <label>Gender: </label>
    </div>

  <div class="col p-2">
    <div class="form-check">
      <input class="form-check-input" type="radio" value="Male" id="flexRadioDefault1" formControlName="gender" [checked]="true">
      <label class="form-check-label" for="flexRadioDefault1">
        Male
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="radio" value="Female" id="flexRadioDefault2" formControlName="gender" >
      <label class="form-check-label" for="flexRadioDefault2">
        Female
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="radio" value="Other" id="flexRadioDefault3" formControlName="gender">
      <label class="form-check-label" for="flexRadioDefault2">
        Other
      </label>
    </div>
  </div>
  </div>
  <div class="row p-2">
    <div class="col">
      <label>Phone number: </label>
    </div>
    <div class="col">
      <input type="text" formControlName="phoneNumber" placeholder="+355***">
    </div>
  </div>
  <div class="row p-2">
    <div class="col">
      <label>Email: </label>
    </div>
    <div class="col">
      <input type="email"  formControlName="email" placeholder="email">
    </div>
  </div>
  <hr>
  <div class="row">
    <h4>Book List:</h4>
  </div>
  <div class="row p-2" *ngFor="let book of books.controls; let i = index">
    <div class="col">
      <label>Title: </label>
    </div>
    <div formArrayName="books"   class="col">
      <input type="text" [formControlName]="i" placeholder="Book title">
    </div>
  </div>
    <button type="button" class=" btn-primary m-2 width-100" (click)="addBook()">Add</button>
    <button type="button" class=" btn m-2 width-100" (click)="onSubmit()">Submit</button>
  </form>
</div>
